{% extends 'configuration/basic_settings/basic_settings_configuration.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/basic_settings/processes') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/basic_settings/processes') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Grundeinstellungen</span>
        {{ form_widget(processesForm.save, {'label': 'SPEICHERN', 'id': processesForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h2 class="mb-3 fs-3">Prozess-Einstellungen</h2>
                <p>Hier können grundlegende Prozesse für LeAn® eingestellt werden. Zum Beispiel, ob sich externe Nutzer:innen eigenständig auf der Plattform registrieren dürfen oder dies nur nach Einladung erfolgen kann.</p>
                <div class='row'>
                    {{ form_start(processesForm, {'attr': {'id': processesForm.vars.id ~ '_form'}}) }}
                    {% include 'configuration/form/basic_settings//processes_form.html.twig' with {'form': processesForm} only %}
                    {{ form_row(processesForm._token) }}
                    {{ form_end(processesForm, {'render_rest': false}) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
